#!/bin/sh

echo 'name: OpenAL
version: 1.3
license: BSD3
copyright:
maintainer: Sven Panne <sven.panne@aedion.de>
stability:
homepage:
package-url:
description: A Haskell binding for the OpenAL cross-platform 3D audio API,
             appropriate for use with gaming applications and many other
             types of audio applications.  For more information about OpenAL,
             please see: <http://www.openal.org/>.
category: Sound
author:
exposed: True
exposed-modules: Sound.OpenAL Sound.OpenAL.AL
                 Sound.OpenAL.AL.ALboolean Sound.OpenAL.AL.Attenuation
                 Sound.OpenAL.AL.BasicTypes Sound.OpenAL.AL.Buffer
                 Sound.OpenAL.AL.BufferInternal Sound.OpenAL.AL.Doppler
                 Sound.OpenAL.AL.Errors Sound.OpenAL.AL.Extensions
                 Sound.OpenAL.AL.Format Sound.OpenAL.AL.Listener
                 Sound.OpenAL.AL.Source Sound.OpenAL.AL.StringQueries
                 Sound.OpenAL.ALC Sound.OpenAL.ALC.BasicTypes
                 Sound.OpenAL.ALC.Capture Sound.OpenAL.ALC.Context
                 Sound.OpenAL.ALC.Device Sound.OpenAL.ALC.Errors
                 Sound.OpenAL.ALC.Extensions
hidden-modules: Sound.OpenAL.AL.PeekPoke Sound.OpenAL.AL.QueryUtils
                Sound.OpenAL.AL.SourceState Sound.OpenAL.AL.String
                Sound.OpenAL.ALC.ALCboolean Sound.OpenAL.ALC.QueryUtils
                Sound.OpenAL.ALC.String Sound.OpenAL.Config Sound.OpenAL.Constants
import-dirs: /usr/lib/OpenAL-1.3/ghc-6.6
library-dirs: /usr/lib/OpenAL-1.3/ghc-6.6
hs-libraries: HSOpenAL-1.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/OpenAL-1.3/ghc-6.6/include
includes: HsOpenAL.h
depends: base-2.0 OpenGL-2.1
hugs-options:
cc-options: -DCALLCONV=ccall
ld-options: -lopenal
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/OpenAL-1.3/doc/html/OpenAL.haddock
haddock-html: /usr/share/OpenAL-1.3/doc/html' | /usr/bin/ghc-pkg6 update -
